# Uses of Interface
org.eclipse.net4j.util.security.INegotiator

Packages that use INegotiator
Package
Description
org.eclipse.net4j.util.security
Interfaces and classes for security, negotiation, authentication, authorization and cryptography.

## Uses of INegotiator in org.eclipse.net4j.util.security

Classes in org.eclipse.net4j.util.security that implement INegotiator
Modifier and Type
Class
Description
`class`
`ChallengeNegotiator`
`class`
`ChallengeResponseNegotiator`
`class`
`Negotiator<STATE extends Enum<?>,EVENT extends Enum<?>>`
`class`
`ResponseNegotiator`
Methods in org.eclipse.net4j.util.security that return INegotiator
Modifier and Type
Method
Description
`INegotiator`
INegotiatorAware.`getNegotiator()`
`INegotiator`
ResponseNegotiatorInjector.`getNegotiator()`
Methods in org.eclipse.net4j.util.security with parameters of type INegotiator
Modifier and Type
Method
Description
`void`
INegotiatorAware.`setNegotiator(INegotiator negotiator)`
Constructors in org.eclipse.net4j.util.security with parameters of type INegotiator
Modifier
Constructor
Description
``
`ResponseNegotiatorInjector(INegotiator negotiator)`